---
title: Bits AI
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Bits AI
---

# Bits AI

Use the Bits AI endpoints to retrieve AI-powered investigations.

## Trigger a Bits AI investigation{% #trigger-a-bits-ai-investigation %}

{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                     |
| ----------------- | ---------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/bits-ai/investigations |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/bits-ai/investigations |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/bits-ai/investigations      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/bits-ai/investigations      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/bits-ai/investigations  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/bits-ai/investigations     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/bits-ai/investigations |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/bits-ai/investigations |

### Overview

Trigger a new Bits AI investigation based on a monitor alert. This endpoint requires the `bits_investigations_write` permission.

OAuth apps require the `bits_investigations_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#bits-ai) to access this endpoint.



### Request

#### Body Data (required)

Trigger investigation request body.

{% tab title="Model" %}

| Parent field          | Field                                   | Type   | Description                                                                                                |
| --------------------- | --------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------- |
|                       | data [*required*]                  | object | Data for the trigger investigation request.                                                                |
| data                  | attributes [*required*]            | object | Attributes for the trigger investigation request.                                                          |
| attributes            | trigger [*required*]               | object | The trigger definition for starting an investigation.                                                      |
| trigger               | monitor_alert_trigger [*required*] | object | Attributes for a monitor alert trigger.                                                                    |
| monitor_alert_trigger | event_id [*required*]              | string | The event ID associated with the monitor alert.                                                            |
| monitor_alert_trigger | event_ts [*required*]              | int64  | The timestamp of the event in Unix milliseconds.                                                           |
| monitor_alert_trigger | monitor_id [*required*]            | int64  | The monitor ID that triggered the alert.                                                                   |
| trigger               | type [*required*]                  | enum   | The type of trigger for the investigation. Allowed enum values: `monitor_alert_trigger`                    |
| data                  | type [*required*]                  | enum   | The resource type for trigger investigation requests. Allowed enum values: `trigger_investigation_request` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "trigger": {
        "monitor_alert_trigger": {
          "event_id": "1234567890123456789",
          "event_ts": 1700000000000,
          "monitor_id": 12345678
        },
        "type": "monitor_alert_trigger"
      }
    },
    "type": "trigger_investigation_request"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response after triggering an investigation.

| Parent field | Field                              | Type   | Description                                                                                                  |
| ------------ | ---------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------ |
|              | data [*required*]             | object | Data for the trigger investigation response.                                                                 |
| data         | attributes [*required*]       | object | Attributes for the trigger investigation response.                                                           |
| attributes   | investigation_id [*required*] | string | The ID of the investigation that was created.                                                                |
| data         | id [*required*]               | string | Unique identifier for the trigger response.                                                                  |
| data         | type [*required*]             | enum   | The resource type for trigger investigation responses. Allowed enum values: `trigger_investigation_response` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "investigation_id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
    },
    "id": "f5e6a7b8-c9d0-1e2f-3a4b-5c6d7e8f9a0b",
    "type": "trigger_investigation_response"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
\# Curl commandcurl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/bits-ai/investigations" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "trigger": {
        "monitor_alert_trigger": {
          "event_id": "1234567890123456789",
          "event_ts": 1700000000000,
          "monitor_id": 12345678
        },
        "type": "monitor_alert_trigger"
      }
    },
    "type": "trigger_investigation_request"
  }
}
EOF
                
{% /tab %}

## List Bits AI investigations{% #list-bits-ai-investigations %}

{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                    |
| ----------------- | --------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/bits-ai/investigations |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/bits-ai/investigations |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/bits-ai/investigations      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/bits-ai/investigations      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/bits-ai/investigations  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/bits-ai/investigations     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/bits-ai/investigations |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/bits-ai/investigations |

### Overview

List all Bits AI investigations for the organization. This endpoint requires the `bits_investigations_read` permission.

OAuth apps require the `bits_investigations_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#bits-ai) to access this endpoint.



### Arguments

#### Query Strings

| Name               | Type    | Description                                 |
| ------------------ | ------- | ------------------------------------------- |
| page[offset]       | integer | Offset for pagination.                      |
| page[limit]        | integer | Maximum number of investigations to return. |
| filter[monitor_id] | integer | Filter investigations by monitor ID.        |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response for listing investigations.

| Parent field | Field                        | Type     | Description                                                                |
| ------------ | ---------------------------- | -------- | -------------------------------------------------------------------------- |
|              | data [*required*]       | [object] | List of investigations.                                                    |
| data         | attributes [*required*] | object   | Attributes of an investigation list item.                                  |
| attributes   | status [*required*]     | string   | The current status of the investigation.                                   |
| attributes   | title [*required*]      | string   | The title of the investigation.                                            |
| data         | id [*required*]         | string   | The unique identifier of the investigation.                                |
| data         | type [*required*]       | enum     | The resource type for investigations. Allowed enum values: `investigation` |
|              | links [*required*]      | object   | Pagination links for the list investigations response.                     |
| links        | first [*required*]      | string   | Link to the first page.                                                    |
| links        | last                         | string   | Link to the last page.                                                     |
| links        | next [*required*]       | string   | Link to the next page.                                                     |
| links        | prev                         | string   | Link to the previous page.                                                 |
| links        | self [*required*]       | string   | Link to the current page.                                                  |
|              | meta [*required*]       | object   | Metadata for the list investigations response.                             |
| meta         | page [*required*]       | object   | Pagination metadata.                                                       |
| page         | limit [*required*]      | int64    | Maximum number of results per page.                                        |
| page         | offset [*required*]     | int64    | Offset of the current page.                                                |
| page         | total [*required*]      | int64    | Total number of investigations.                                            |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "status": "conclusive",
        "title": "Monitor alert investigation for web-server-01"
      },
      "id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
      "type": "investigation"
    }
  ],
  "links": {
    "first": "https://api.datadoghq.com/api/v2/bits-ai/investigations?page[offset]=0\u0026page[limit]=10",
    "last": "string",
    "next": "https://api.datadoghq.com/api/v2/bits-ai/investigations?page[offset]=10\u0026page[limit]=10",
    "prev": "string",
    "self": "https://api.datadoghq.com/api/v2/bits-ai/investigations?page[offset]=0\u0026page[limit]=10"
  },
  "meta": {
    "page": {
      "limit": 10,
      "offset": 0,
      "total": 50
    }
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl commandcurl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/bits-ai/investigations" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
                
{% /tab %}

## Get a Bits AI investigation{% #get-a-bits-ai-investigation %}

{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                         |
| ----------------- | -------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/bits-ai/investigations/{id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/bits-ai/investigations/{id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/bits-ai/investigations/{id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/bits-ai/investigations/{id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/bits-ai/investigations/{id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/bits-ai/investigations/{id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/bits-ai/investigations/{id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/bits-ai/investigations/{id} |

### Overview

Get a specific Bits AI investigation by ID. This endpoint requires the `bits_investigations_read` permission.

OAuth apps require the `bits_investigations_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#bits-ai) to access this endpoint.



### Arguments

#### Path Parameters

| Name                 | Type   | Description                  |
| -------------------- | ------ | ---------------------------- |
| id [*required*] | string | The ID of the investigation. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response for a single Bits AI investigation.

| Parent field | Field                         | Type     | Description                                                                               |
| ------------ | ----------------------------- | -------- | ----------------------------------------------------------------------------------------- |
|              | data [*required*]        | object   | Data for the get investigation response.                                                  |
| data         | attributes [*required*]  | object   | Attributes of the investigation.                                                          |
| attributes   | conclusions [*required*] | [object] | The conclusions drawn from the investigation.                                             |
| conclusions  | description [*required*] | string   | A full explanation of the finding, including root cause analysis and supporting evidence. |
| conclusions  | summary [*required*]     | string   | A summary of the finding, including affected components and timeframe.                    |
| conclusions  | title [*required*]       | string   | The title of the conclusion.                                                              |
| attributes   | status [*required*]      | string   | The current status of the investigation.                                                  |
| attributes   | title [*required*]       | string   | The title of the investigation.                                                           |
| data         | id [*required*]          | string   | The unique identifier of the investigation.                                               |
| data         | type [*required*]        | enum     | The resource type for investigations. Allowed enum values: `investigation`                |
|              | links [*required*]       | object   | Links related to the investigation.                                                       |
| links        | self [*required*]        | string   | The URL to the investigation in the Datadog app.                                          |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "conclusions": [
        {
          "description": "The investigation found that a memory leak in payments-service caused CPU usage to spike above 95% starting at 14:32 UTC.",
          "summary": "CPU usage exceeded 95% for over 10 minutes on web-server-01.",
          "title": "High CPU usage detected on web-server-01"
        }
      ],
      "status": "conclusive",
      "title": "Monitor alert investigation for web-server-01"
    },
    "id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
    "type": "investigation"
  },
  "links": {
    "self": "https://app.datadoghq.com/bits-ai/investigations/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parametersexport id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"\# Curl commandcurl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/bits-ai/investigations/${id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
                
{% /tab %}
